package com.ruoyi.quartz.task;

import com.ruoyi.powerdistribution.service.IPdmScoreRankManagerService;
import com.ruoyi.powerdistribution.service.IPdmScoreRankTeamService;
import com.ruoyi.powerdistribution.service.IPdmWorkPlanService;
import org.springframework.stereotype.Component;
import com.ruoyi.common.utils.StringUtils;

import javax.annotation.Resource;

/**
 * 定时任务调度测试
 *
 * @author ruoyi
 */
@Component("ryTask")
public class RyTask
{

    @Resource
    private IPdmWorkPlanService workPlanService;

    @Resource
    private IPdmScoreRankManagerService scoreRankManagerService;
    @Resource
    private IPdmScoreRankTeamService scoreRankTeamService;

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        System.out.println("执行无参方法");
    }

    /**
     * 定期分析处理作业数据
     */
    public void workDataCompute(){
        workPlanService.workDataCompute();
    }

    /**
     * 统计并保存负责人得分
     */
    public void saveRank(String startDate,String endDate){
        scoreRankManagerService.saveRank(startDate,endDate);
    }

    /**
     * 统计并保存队伍得分
     */
    public void saveTeam(String startDate,String endDate){
        scoreRankTeamService.saveTeam(startDate,endDate);
    }

}
